
QGIS Application - Bug report #4462

When drawing a new polygon it inverts existing parts of the polygon

2011-10-29 02:21 PM - Gerhardus Geldenhuis

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 14389

Description

When you draw a new polygon it inverts already drawn parts of the polygon back to the layer underneath. I would have expected an

doubling in colour or half the transparency of the red layer of the polygon. The encircled area in the attached image should be a darker

colour rather than inverted.

History

#1 - 2011-10-29 02:36 PM - Giovanni Manghi

can't see any attached image. It would be useful to understand better what do you mean.

#2 - 2011-10-29 02:45 PM - Gerhardus Geldenhuis

- File Screenshot01.png added

Apologies must have missed off the image. Hope it helps to clarify what I mean.

#3 - 2011-10-30 05:13 AM - Giovanni Manghi

- Category changed from GUI to Digitising

- Status changed from Open to Feedback

The overlapped part it hasn't a "reverted color" it is (it becomes) a hole. The simple features model does not allow to draw such geometries

(self-overlapping), and QGIS let you know by marking those two nodes with a green "X".

I agree with others that eventually allow to draw such wrong geometries it is not right. An option that can be eventually be discussed/added could be the

one to make qgis refuse to add invalid geometries.

#4 - 2011-10-30 01:00 PM - Gerhardus Geldenhuis

I should have been clearer. The screenshot is in mid-edit so the edit is not finished. I would certainly agree that you should not be allowed to make "wrong"

geometries. What I am suggesting is that when you are digitizing a complex shape it would be useful when you overlap the existing polygon to not become

a "hole" but rather double in colour density. That would be more intuitive. I am not suggesting the ability to draw wrong shapes but suggesting a more

intuitive way for the polygon "shadow" or whatever the correct terminology is to behave in a more real life physical way. I equate the to folding a piece of

semi transparent film over it self, it will darken in colour every time you fold it.
#5 - 2011-10-30 01:02 PM - Giovanni Manghi

Gerhardus Geldenhuis wrote:

I should have been clearer. The screenshot is in mid-edit so the edit is not finished. I would certainly agree that you should not be allowed to make

"wrong" geometries. What I am suggesting is that when you are digitizing a complex shape it would be useful when you overlap the existing polygon

to not become a "hole" but rather double in colour density. That would be more intuitive. I am not suggesting the ability to draw wrong shapes but

suggesting a more intuitive way for the polygon "shadow" or whatever the correct terminology is to behave in a more real life physical way. I equate

the to folding a piece of semi transparent film over it self, it will darken in colour every time you fold it.

ok, now is clearer, but the doubt remains, why do so if at the end that area will become an hole anyway?

#6 - 2011-10-30 01:19 PM - Gerhardus Geldenhuis

- File Screenshot-1.png added

- File Screenshot.png added

I will explain with an example the first image is midway through editing and the second image is the result. It is per illustration only. However I realize while

creating these images that there is a logic problem... I don't think what I am asking is doable anyway... I am expecting the computer to know what I want to

do and it can't possibly do that...

#7 - 2011-10-30 02:28 PM - Giovanni Manghi

Gerhardus Geldenhuis wrote:

I will explain with an example the first image is midway through editing and the second image is the result. It is per illustration only. However I realize

while creating these images that there is a logic problem... I don't think what I am asking is doable anyway... I am expecting the computer to know

what I want to do and it can't possibly do that...

I understand your point, but as you say, what the program can do for it?

Any evidence that other sw packages (gvsig, udig, kosmo, etc.) do work in a way that can be considered better than the qgis way?

#8 - 2011-10-30 02:34 PM - Gerhardus Geldenhuis

I have not used any of the other software packages mentioned so would unfortunetly have no idea. On the whole so far I have really liked the experience in

QGIS

#9 - 2011-10-30 02:47 PM - Giovanni Manghi

Gerhardus Geldenhuis wrote:

I have not used any of the other software packages mentioned so would unfortunetly have no idea. On the whole so far I have really liked the

experience in QGIS

at the next developer meeting I will try to have a chat with the devs about this matters (in general how overlapping polygons are handled).
#10 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#11 - 2012-04-16 06:31 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#12 - 2012-09-04 11:56 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#13 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#14 - 2014-10-11 07:19 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to wontfix

Files

Screenshot01.png 533 KB 2011-10-29 Gerhardus Geldenhuis

Screenshot.png 15.8 KB 2011-10-30 Gerhardus Geldenhuis

Screenshot-1.png 30.8 KB 2011-10-30 Gerhardus Geldenhuis
